Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512210 - autokey-qt fails to start
Summary: autokey-qt fails to start
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: autokey
Version: 26
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Raghu Udiyar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-11 15:33 UTC by Martin Kozelsky
Modified: 2018-05-11 01:49 UTC (History)
1 user (show)

Fixed In Version: autokey-0.94.0-1.fc28 autokey-0.94.0-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-11 01:23:57 UTC


Attachments (Terms of Use)

Description Martin Kozelsky 2017-11-11 15:33:44 UTC
Description of problem:

autokey-qt fails to start, it reports runtime error 'PyKDE4.kdeui cannot import type 'QList<QPair<QString,QString> >' from PyQt4.QtCore'

Version-Release number of selected component (if applicable):

autokey-common-0.90.4-10.fc26.noarch
autokey-qt-0.90.4-10.fc26.noarch
pykde4-4.14.3-17.fc26.x86_64
PyQt4-4.12-4.fc26.x86_64

How reproducible:

Run from CLI command autokey-qt

Steps to Reproduce:
1. run Konsole or another terminal application
2. run command 'autokey-qt'

Actual results:

Traceback (most recent call last):
  File "/usr/bin/autokey-qt", line 20, in <module>
    from autokey.qtapp import Application
  File "/usr/lib/python2.7/site-packages/autokey/qtapp.py", line 23, in <module>
    from PyKDE4.kdeui import KMessageBox, KApplication
RuntimeError: PyKDE4.kdeui cannot import type 'QList<QPair<QString,QString> >' from PyQt4.QtCore

Expected results:


Additional info:

Distribution upgrade from FC25 to FC26.

Comment 1 Fedora Update System 2018-05-01 14:08:07 UTC
autokey-0.94.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ff5a888f5a

Comment 2 Fedora Update System 2018-05-01 14:11:05 UTC
autokey-0.94.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0eec817e5f

Comment 3 Fedora Update System 2018-05-02 10:12:11 UTC
autokey-0.94.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ff5a888f5a

Comment 4 Fedora Update System 2018-05-02 13:13:29 UTC
autokey-0.94.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0eec817e5f

Comment 5 Fedora End Of Life 2018-05-03 08:29:00 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora Update System 2018-05-11 01:23:57 UTC
autokey-0.94.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-05-11 01:49:53 UTC
autokey-0.94.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.